BLK_QUEUE_END_TAG(9)

NAME
blk_queue_end_tag - end tag operations for a request

SYNOPSIS

void blk_queue_end_tag(struct request_queue * q, struct request * rq);

ARGUMENTS

q
    the request queue for the device

rq
    the request that has completed

DESCRIPTION

Typically called when end_that_request_first returns 0, meaning all transfers have been done for a request. It's important to call this function before end_that_request_last, as that will put the request back on the free list thus corrupting the internal tag list.

NOTES

queue lock must be held.

COPYRIGHT